Summary:	Reimplementation of the old game known as Tower Toppler or Nebulous
Name:		toppler
Version:	1.1.5
Release:	%mkrel 3
Source0:	http://heanet.dl.sourceforge.net/sourceforge/toppler/%{name}-%{version}.tar.gz
Patch1:		toppler-1.1.5-fix-str-fmt.patch
License:	GPLv2+
URL:		http://toppler.sourceforge.net/
Group:		Games/Arcade
BuildRequires:	SDL-devel SDL_mixer-devel zlib-devel
Requires(post):	rpm-helper

%description
It is an almost complete reimplementation of the old game known as Tower
Toppler or Nebulous. This game was available at least for PC, Atari, C64
and now the PC version is abandonware.

The goal of the game is to reach the target door of each of the 8 towers
in currently 2 missions with this little green animal. This door is
usually at the very top of the tower.

But finding the way by using elevators and walking trough a maze of doors
and platforms is not the only problem you have to solve. There are a bunch
of other creatures living on the tower that will hinder you to reach your
target by pushing you over the edge of the platforms.

The only weapon of defence you have is to throw a little snowball. But
most of the other creatures just don't care about this. So you must avoid
them.

%prep
%setup -q
%patch1 -p0 -b .str

%build
export CXXFLAGS="%optflags -U HISCOREDIR -D HISCOREDIR=\\\"%{_localstatedir}/lib/games\\\" -U TOP_DATADIR -D TOP_DATADIR=\\\"%{_gamesdatadir}/%{name}\\\""
%configure2_5x	--bindir=%{_gamesbindir}
make

%install
%{makeinstall_std} pkglocalstatedir=%{_localstatedir}/lib/games pkgdatadir=%{_gamesdatadir}/%{name} pkgdocdir=%{_docdir}/%{name}-%{version}

rm -f %{buildroot}%{_datadir}/applications/%{name}.desktop
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Tower Toppler
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

chmod a+w %{buildroot}%{_localstatedir}/lib/games/toppler.hsc

%find_lang %{name}

%clean

%post
%create_ghostfile %{_localstatedir}/lib/games/toppler.hsc root games 664

%files -f %{name}.lang
%defattr(-, root, root)
%doc %{_docdir}/%{name}-%{version}/*
%attr(664, root, games) %ghost %{_localstatedir}/lib/games/toppler.hsc
%attr(2755, root, games) %{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_mandir}/man?/%{name}*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm






%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.1.5-3.mga3
+ Revision: 384655
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 zezinho <zezinho> 1.1.5-2.mga2
+ Revision: 220495
- remove soundwrapper from menu as it is not used anymore

* Sun Jul 10 2011 stormi <stormi> 1.1.5-1.mga2
+ Revision: 121840
- remove merged upstream hunk from the patch
- rediff patch for the other hunk
- add back %%post section title for ghostfile creation
- new bugfix release 1.1.5

* Tue Apr 26 2011 wally <wally> 1.1.4-2.mga1
+ Revision: 91832
- fix desktop file name (mga#954)
- fix license
- drop buildroot definition

* Thu Mar 17 2011 steletch <steletch> 1.1.4-1.mga1
+ Revision: 73466
- Clean spec file
- imported package toppler

